/*
 * Copyright 2011 E-Government Innovation Center (EGIZ)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package at.gv.zustellung.zkopf;

public class ZuseKopfConstants {

	// http query parameters
	public final static String HTTP_QUERY_PARAM_GVZBPK = "gvZbPK";
	public final static String HTTP_QUERY_PARAM_GVSOURCEPIN = "gvSourcePin";
	public final static String HTTP_QUERY_PARAM_GVSOURCEPIN_TYPE = "gvSourcePinType";
	public final static String HTTP_QUERY_PARAM_CN = "cn";
	public final static String HTTP_QUERY_PARAM_GIVEN_NAME = "givenName";
	public final static String HTTP_QUERY_PARAM_FAMILY_NAME = "sn";
	public final static String HTTP_QUERY_PARAM_DATE_OF_BIRTH = "gvBirthDate";
	public final static String HTTP_QUERY_PARAM_MAIL = "mail";
	public final static String HTTP_QUERY_PARAM_TELEPHONE = "tel";
	public final static String HTTP_QUERY_PARAM_STREETNAME = "StreetName";
	public final static String HTTP_QUERY_PARAM_POSTALCODE = "postalCode";
	public final static String HTTP_QUERY_PARAM_MUNICIPALITY = "Municipality";
	public final static String HTTP_QUERY_PARAM_COUNTRYCODE = "CountryCode";
	public final static String HTTP_QUERY_PARAM_PRIVATE = "private";
	public final static String HTTP_QUERY_PARAM_CUSTOMER_NUMBER = "ProfileID";
	public final static String HTTP_QUERY_PARAM_ERV_CODE = "gvERVCode";
	
	// corporate identifiers for standard query
	public final static String SOURCEPIN_TYPE_STD_QUERY_XFN = "FN";
	public final static String SOURCEPIN_TYPE_STD_QUERY_XZVR = "ZVR";
	public final static String SOURCEPIN_TYPE_STD_QUERY_XERSB = "ERSB";
	
	//corporate identifiers for bulk query
	public final static String SOURCEPIN_TYPE_BULK_QUERY_XFN = "urn:publicid:gv.at:baseid+XFN";
	public final static String SOURCEPIN_TYPE_BULK_QUERY_XZVR = "urn:publicid:gv.at:baseid+XZVR";
	public final static String SOURCEPIN_TYPE_BULK_QUERY_XERSB = "urn:publicid:gv.at:baseid+XERSB";
	public final static String SOURCEPIN_TYPE_BULK_QUERY_XERV = "urn:publicid:gv.at:baseid+XERV";
}
