
package at.gv.zustellung.zkopf.xsd.zkopf;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import at.gv.zustellung.zkopf.xsd.zkopf_persondata.CorporateBodyType;
import at.gv.zustellung.zkopf.xsd.zkopf_persondata.IdentificationType;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence maxOccurs="unbounded">
 *         &lt;element name="Entry">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="Identification" type="{http://reference.e-government.gv.at/namespace/persondata/en/20040201#}IdentificationType"/>
 *                   &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/en/20040201#}CorporateBody"/>
 *                   &lt;element name="MailBoxList" minOccurs="0">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence maxOccurs="unbounded">
 *                             &lt;element name="MailBox" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "entry"
})
@XmlRootElement(name = "Directory")
public class Directory {

    @XmlElement(name = "Entry", required = true)
    protected List<Directory.Entry> entry;

    /**
     * Gets the value of the entry property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the entry property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEntry().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Directory.Entry }
     * 
     * 
     */
    public List<Directory.Entry> getEntry() {
        if (entry == null) {
            entry = new ArrayList<Directory.Entry>();
        }
        return this.entry;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="Identification" type="{http://reference.e-government.gv.at/namespace/persondata/en/20040201#}IdentificationType"/>
     *         &lt;element ref="{http://reference.e-government.gv.at/namespace/persondata/en/20040201#}CorporateBody"/>
     *         &lt;element name="MailBoxList" minOccurs="0">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence maxOccurs="unbounded">
     *                   &lt;element name="MailBox" type="{http://www.w3.org/2001/XMLSchema}string"/>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "identification",
        "corporateBody",
        "mailBoxList"
    })
    public static class Entry {

        @XmlElement(name = "Identification", required = true)
        protected IdentificationType identification;
        @XmlElement(name = "CorporateBody", namespace = "http://reference.e-government.gv.at/namespace/persondata/en/20040201#", required = true)
        protected CorporateBodyType corporateBody;
        @XmlElement(name = "MailBoxList")
        protected Directory.Entry.MailBoxList mailBoxList;

        /**
         * Gets the value of the identification property.
         * 
         * @return
         *     possible object is
         *     {@link IdentificationType }
         *     
         */
        public IdentificationType getIdentification() {
            return identification;
        }

        /**
         * Sets the value of the identification property.
         * 
         * @param value
         *     allowed object is
         *     {@link IdentificationType }
         *     
         */
        public void setIdentification(IdentificationType value) {
            this.identification = value;
        }

        /**
         * Gets the value of the corporateBody property.
         * 
         * @return
         *     possible object is
         *     {@link CorporateBodyType }
         *     
         */
        public CorporateBodyType getCorporateBody() {
            return corporateBody;
        }

        /**
         * Sets the value of the corporateBody property.
         * 
         * @param value
         *     allowed object is
         *     {@link CorporateBodyType }
         *     
         */
        public void setCorporateBody(CorporateBodyType value) {
            this.corporateBody = value;
        }

        /**
         * Gets the value of the mailBoxList property.
         * 
         * @return
         *     possible object is
         *     {@link Directory.Entry.MailBoxList }
         *     
         */
        public Directory.Entry.MailBoxList getMailBoxList() {
            return mailBoxList;
        }

        /**
         * Sets the value of the mailBoxList property.
         * 
         * @param value
         *     allowed object is
         *     {@link Directory.Entry.MailBoxList }
         *     
         */
        public void setMailBoxList(Directory.Entry.MailBoxList value) {
            this.mailBoxList = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence maxOccurs="unbounded">
         *         &lt;element name="MailBox" type="{http://www.w3.org/2001/XMLSchema}string"/>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "mailBox"
        })
        public static class MailBoxList {

            @XmlElement(name = "MailBox", required = true)
            protected List<String> mailBox;

            /**
             * Gets the value of the mailBox property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the mailBox property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getMailBox().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link String }
             * 
             * 
             */
            public List<String> getMailBox() {
                if (mailBox == null) {
                    mailBox = new ArrayList<String>();
                }
                return this.mailBox;
            }

        }

    }

}
